#include <bits/stdc++.h>
using namespace std;

typedef long long ll;

int main() {
    string s;
    cin>>s;
   
    vector<int> dp(s.size());
    dp[1] = 1;

    int c = 1;
    for(int i=1; i<s.size(); i++){
        if (s[i]<s[i-1]){
            c++;
        }
        dp[i] = c;
    }

    int n;
    cin>>n;
    for(int i=0; i<n; i++){
        int l,r;
        cin>>l>>r;
        l--,r--;
        cout<<(l==0? dp[r]: dp[r]-dp[l-1])<<endl;
    }
}
